Database.yml no fun

development:
adapter: oracle
database: mi conexion que esta en tnsnames.ora (alias)
username: xxx
password: xxx

que estare haciendo mal?

sigo todos los instructivos que aparecen en la web.

por favor me dice quien ya lo hizo y le funciono.

saludos

Estas en Rails 2.0 ? Tienes las “gems” de active record para Oracle?

sudo gem install activerecord-oracle-adapter

Un saludo,

Francesc

On Feb 6, 2008, at 11:49 PM, William B. wrote:

por favor me dice quien ya lo hizo y le funciono.

saludos

Posted via http://www.ruby-forum.com/.


Ror-es mailing list
[email protected]
http://lists.simplelogica.net/mailman/listinfo/ror-es


name. Francesc E. i Martí
voice. +34 678.681.603

Francesc E. wrote:

Estas en Rails 2.0 ? Tienes las “gems” de active record para Oracle?

sudo gem install activerecord-oracle-adapter

Un saludo,

Francesc

On Feb 6, 2008, at 11:49 PM, William B. wrote:

por favor me dice quien ya lo hizo y le funciono.

saludos

Posted via http://www.ruby-forum.com/.


Ror-es mailing list
[email protected]
http://lists.simplelogica.net/mailman/listinfo/ror-es


name. Francesc E. i Mart�
voice. +34 678.681.603

Francesc Gracias por responder.

no me funciona, ya lo habia probado.

gracias de todas formas.

saludos

Normando V. wrote:

oye te falta el host no?
no se si lo omitiste en tu explicacion pero, por si no es asi podria ser
el host

Hola

Normando, no si tengo el host, genera problema con oci.dll

saludos y gracias

oye te falta el host no?
no se si lo omitiste en tu explicacion pero, por si no es asi podria ser
el host

este es el error que les comente, ya instale: gem install
activerecord-oci-adapter

sin embargo no fun.

William F. wrote:

NoC:\apprails\aportes>ruby script/server

=> Booting WEBrick…

c:/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_a

dapters/abstract/connection_specification.rb:231:in
`establish_connection’: Plea

se install the oci adapter: gem install activerecord-oci-adapter (no
such file

to load – active_record/connection_adapters/oci_adapter)
(RuntimeError)

    from 

c:/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record

/connection_adapters/abstract/connection_specification.rb:215:in
`establish_conn

ection’

    from 

c:/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record

/connection_adapters/abstract/connection_specification.rb:208:in
`establish_conn

ection’

    from 

c:/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:234:i

n `initialize_database’

    from 

c:/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:94:in

`process’

    from 

c:/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:49:in

`send’

    from 

c:/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/initializer.rb:49:in

`run’

    from C:/apprails/aportes/config/environment.rb:13

    from 

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `ge

m_original_require’

     ... 10 levels...

    from 

c:/ruby/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/commands/server.rb:3

9

    from 

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `ge

m_original_require’

    from 

c:/ruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:27:in `re

quire’

    from script/server:3

development:

adapter: oci

username: ap0502

password: ant05

host: Aportes

Por favor, alguien que haya hecho la conexion de ror con oracle que me
heche una manito.

gracias

William betancur
medellin, colombia

Has hecho un require gem?

require ‘active-record-oci-adapter’

Lo puedes poner dentro de initializers

initializers/gems.rb

require ‘active-record-oci-adapter’

Un saludo,

Francesc

On Feb 8, 2008, at 1:22 PM, William B. wrote:

(RuntimeError)
c:/ruby/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record

   from

m_original_require’


Posted via http://www.ruby-forum.com/.


Ror-es mailing list
[email protected]
http://lists.simplelogica.net/mailman/listinfo/ror-es


Not sent from my iPhone

segun los foros, veo que nadie se ha podido conectar a oracle con rails.
cuando lo haga les cuento. jejejejeje

saludos

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs